slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSNEPSetFN

Sets a number of functions that define the nonlinear eigenproblem.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSNEPSetFN(DS ds,PetscInt n,FN fn[])

Collective

### Input Parameters

| ds | - the direct solver context
| n | - number of functions
| fn | - array of functions

### Notes

The nonlinear eigenproblem is defined in terms of the split nonlinear operator T(lambda) = sum_i A_i*f_i(lambda).

This function must be called before DSAllocate(). Then DSAllocate() will allocate an extra matrix A_i per each function, that can be filled in the usual way.

### See Also

DSNEPGetFN(), DSAllocate()

### Level

advanced

### Location

src/sys/classes/ds/impls/nep/dsnep.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages